﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Runtime.Remoting;
namespace RemWebSearcher
{
    /// <summary>
    /// 启动本台搜索服务器，真实环境中远比这个要复杂
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            TcpChannel channel = new TcpChannel(8080);
            ChannelServices.RegisterChannel(channel,false);
            RemotingConfiguration.RegisterWellKnownServiceType(
                typeof(RemWeb.RemWebSearcher),
                "RemWebSearcher", WellKnownObjectMode.Singleton);
            Console.WriteLine("服务已启动,回车后停止");
            Console.Read();
            channel.StopListening(null);
            ChannelServices.UnregisterChannel(channel);
            Console.WriteLine("服务已停止,回车后退出 ");
            //这里要两个read()，一个不顶事。
            Console.Read();
            Console.Read();

        }
    }
}
