﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace DSearchWeb
{
    /// <summary>
    /// 在应用程序启动时创建到各搜索服务器的连接，关闭是注销相关通道
    /// </summary>
    public class Global : System.Web.HttpApplication
    {

        TcpChannel channel;
        protected void Application_Start(object sender, EventArgs e)
        {
            channel = new TcpChannel();
            ChannelServices.RegisterChannel(channel,false);

        }

        protected void Application_End(object sender, EventArgs e)
        {
            channel.StopListening(null);
            ChannelServices.UnregisterChannel(channel);
        }
    }
}